#include <bits/stdc++.h>

using namespace std;

int main() {
  ios::sync_with_stdio(false);
  cin.tie(0);
  int n;
  cin >> n;
  vector<int> x(n);
  vector<int> y(n);
  vector<int> z(n);
  for (int i = 0; i < n; i++) {
    cin >> x[i];
  }
  for (int i = 0; i < n; i++) {
    cin >> y[i];
  }
  for (int i = 0; i < n; i++) {
    cin >> z[i];
    --z[i];
  }
  map<int, int> xs;
  map<int, int> ys;
  for (int i = 0; i < n; i++) {
    xs[x[i]]++;
    ys[y[z[i]]]++;
  }
  long long ans = 0;
  for (auto& p : xs) {
    ans += p.second * 1LL * ys[p.first];
  }
  cout << ans << '\n';
  return 0;
}